/***************************************************************
 * Name:      wxGuitarMain.h
 * Purpose:   Defines Application Frame
 * Author:    Ivnish (INDT) (indt@mail.ru)
 * Created:   2009-07-21
 * Copyright: (c) 2009 Ivnish (INDT)
 * License:   GPLv3
 **************************************************************/

#ifndef WXGUITARMAIN_H
#define WXGUITARMAIN_H

//(*Headers(wxGuitarFrame)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/menu.h>
#include <wx/checkbox.h>
#include <wx/spinctrl.h>
#include <wx/statbmp.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/timer.h>
//*)

class wxGuitarFrame: public wxFrame
{
    public:

        wxGuitarFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~wxGuitarFrame();

    private:

        //(*Handlers(wxGuitarFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        void OnButton3Click(wxCommandEvent& event);
        void OnButton4Click(wxCommandEvent& event);
        void OnButton5Click(wxCommandEvent& event);
        void OnButton6Click(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        void PlayAndCheckTimer();
        //*)

        //(*Identifiers(wxGuitarFrame)
        static const long ID_BUTTON1;
        static const long ID_BUTTON2;
        static const long ID_BUTTON3;
        static const long ID_BUTTON4;
        static const long ID_BUTTON5;
        static const long ID_BUTTON6;
        static const long ID_STATICBITMAP1;
        static const long ID_CHECKBOX1;
        static const long ID_SPINCTRL1;
        static const long ID_STATICTEXT1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_TIMER1;
        //*)

        //(*Declarations(wxGuitarFrame)
        wxButton* Button4;
        wxSpinCtrl* SpinCtrl1;
        wxButton* Button1;
        wxStaticBitmap* StaticBitmap1;
        wxStaticText* StaticText1;
        wxButton* Button2;
        wxCheckBox* CheckBox1;
        wxButton* Button6;
        wxButton* Button5;
        wxButton* Button3;
        wxTimer Timer1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // WXGUITARMAIN_H
